Package icyllis.arc3d.granite

# Class PipelineBuilder

java.lang.Object
icyllis.arc3d.granite.PipelineBuilder

public class PipelineBuilder extends Object
Build AST for graphics pipeline.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `LOCAL_COORDS_VARYING_NAME`
  `static final int`
  `MAIN_DRAW_BUFFER_INDEX`
  `static final int`
  `PRIMARY_COLOR_OUTPUT_INDEX`
  `static final String`
  `PRIMARY_COLOR_OUTPUT_NAME`
  `static final String`
  `PRIMITIVE_COLOR_VAR_NAME`
  `static final int`
  `SECONDARY_COLOR_OUTPUT_INDEX`
  `static final String`
  `SECONDARY_COLOR_OUTPUT_NAME`
  `static final String`
  `WORLD_POS_VAR_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PipelineBuilder(Device device, GraphicsPipelineDesc desc)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `PipelineDesc.GraphicsPipelineInfo`
  `build()`
  `void`
  `buildFragmentShader()`
  `void`
  `buildVertexShader()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WORLD_POS_VAR_NAME

    public static final String WORLD_POS_VAR_NAME
    See Also:
      - Constant Field Values

  - ### LOCAL_COORDS_VARYING_NAME

    public static final String LOCAL_COORDS_VARYING_NAME
    See Also:
      - Constant Field Values

  - ### PRIMITIVE_COLOR_VAR_NAME

    public static final String PRIMITIVE_COLOR_VAR_NAME
    See Also:
      - Constant Field Values

  - ### MAIN_DRAW_BUFFER_INDEX

    public static final int MAIN_DRAW_BUFFER_INDEX
    See Also:
      - Constant Field Values

  - ### PRIMARY_COLOR_OUTPUT_INDEX

    public static final int PRIMARY_COLOR_OUTPUT_INDEX
    See Also:
      - Constant Field Values

  - ### SECONDARY_COLOR_OUTPUT_INDEX

    public static final int SECONDARY_COLOR_OUTPUT_INDEX
    See Also:
      - Constant Field Values

  - ### PRIMARY_COLOR_OUTPUT_NAME

    public static final String PRIMARY_COLOR_OUTPUT_NAME
    See Also:
      - Constant Field Values

  - ### SECONDARY_COLOR_OUTPUT_NAME

    public static final String SECONDARY_COLOR_OUTPUT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PipelineBuilder

    public PipelineBuilder(Device device, GraphicsPipelineDesc desc)

- ## Method Details

  - ### build

    public PipelineDesc.GraphicsPipelineInfo build()

  - ### buildVertexShader

    public void buildVertexShader()

  - ### buildFragmentShader

    public void buildFragmentShader()